Skip to main content
GET
/
api
/
decks
/
{deckId}
/
faqs
List FAQs
curl --request GET \
  --url https://app.demand-iq.com/api/decks/{deckId}/faqs \
  --cookie session=
{
  "faqs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userQuestion": "<string>",
      "cannedAnswer": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "relatedSlideId": "<string>",
      "audioUrl": "<string>",
      "wordTimings": [
        {
          "word": "<string>",
          "startTime": 123,
          "endTime": 123
        }
      ]
    }
  ]
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

UUID of the deck

Response

FAQs with pre-generated audio

faqs
object[]